import { TopicShapeType } from '../model/INodeModel';
import SizeType from '../SizeType';
import TopicShape from './TopicShape';
declare class NoneTopicShape implements TopicShape {
    private _size;
    setSize(width: number, height: number): void;
    getSize(): SizeType | null;
    setPosition(): void;
    setFill(): void;
    setVisibility(): void;
    setOpacity(): void;
    setCursor(): void;
    appendTo(): void;
    removeFrom(): void;
    setStroke(): void;
    getShapeType(): TopicShapeType;
}
export default NoneTopicShape;
